Bug 1303840 - A snapshot containing a Cinder disk remains locked when the engine restarts before the snapshot creation is completed
A snapshot containing a Cinder disk remains locked when the engine restarts b...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
3.6.3
Unspecified Unspecified
unspecified Severity high (vote)
: ovirt-3.6.3
: 3.6.3.1
Assigned To: Liron Aravot
Natalie Gavrielov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 03:26 EST by Liron Aravot
Modified: 2016-02-23 08:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-23 08:31:31 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
rule-engine: blocker+
ylavi: planning_ack+
amureini: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 52918 master MERGED core: CreateAllSnapshotsFromVmCommand - use snapshot type from params 2016-02-03 08:08 EST
oVirt gerrit 52995 master MERGED core: serialization/deserialization of SnapshotType 2016-02-03 10:06 EST
oVirt gerrit 53066 ovirt-engine-3.6 MERGED core: CreateAllSnapshotsFromVmCommand - use snapshot type from params 2016-02-04 04:16 EST
oVirt gerrit 53067 ovirt-engine-3.6 MERGED core: serialization/deserialization of SnapshotType 2016-02-04 04:18 EST
oVirt gerrit 53068 ovirt-engine-3.6.3 MERGED core: CreateAllSnapshotsFromVmCommand - use snapshot type from params 2016-02-04 04:25 EST
oVirt gerrit 53069 ovirt-engine-3.6.3 MERGED core: serialization/deserialization of SnapshotType 2016-02-04 04:26 EST

  None (edit)
Description Liron Aravot 2016-02-02 03:26:26 EST
Description of problem:
When creating a snapshot for vms with at least one cinder disk and restarting the engine after the task polling starts the added snapshot will remain locked

How reproducible:
Always

Steps to Reproduce:
1. Add a vm with at least one cinder disk and one image disk
2. Create a snapshot for the vm
3. Restart the engine

Actual results:
The added snapshot remains locked

Expected results:
the added snapshot shouldn't remain locked

Additional info:
Comment 3 Liron Aravot 2016-02-03 10:12:33 EST
The risk in merging the fix should be low,
removing MODIFIED as the backported patches weren't merged yet.
Comment 4 Tal Nisan 2016-02-03 10:13:02 EST
Huh? Patch is not MODIFIED until backported, not sure what's wrong the automation but the bug should be on POST

Note You need to log in before you can comment on or make changes to this bug.